package org.apache.bcel.verifier;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import java.util.ArrayList;
import java.util.List;
import org.apache.bcel.verifier.VerificationResult;
import org.apache.commons.lang3.ArrayUtils;

public abstract class PassVerifier {
  private final List<String> messages = new ArrayList<>();
  
  private VerificationResult verificationResult;
  
  public void addMessage(String message) {
    this.messages.add(message);
  }
  
  public abstract VerificationResult do_verify();
  
  public String[] getMessages() {
    return getMessagesList().<String>toArray(ArrayUtils.EMPTY_STRING_ARRAY);
  }
  
  public List<String> getMessagesList() {
    verify();
    return this.messages;
  }
  
  public VerificationResult verify() {
    if (this.verificationResult == null)
      this.verificationResult = do_verify(); 
    return this.verificationResult;
  }
}
